Subject: Re: bug#68081: 30.0.50; derived-mode and display-buffer-alist

From: German Pacenza <[email-masked]>
Date: Sun, 31 Dec 2023 07:30:29 -0300

martin rudalics <[email-masked]> writes:

> So for Emacs-29 I would recommend to add to the Elisp manual, where it
> says that "Each condition is passed to ‘buffer-match-p’ ...", that using
> 'derived-mode' and 'major-mode' as conditions might not work if
> 'display-buffer' is called before the major mode of the buffer has been
> established.  And I would add a similar remark to the description of
> 'buffer-match-p' itself.

I agree, Info mode is only one of the affected modes, compilation-mode
also shows this behaviour and others might as well.

-- 
German Pacenza